/***********************************************
 * SITE: FULLPAGE SLIDER
 ***********************************************/
(function ($) {

	'use strict';

	VLTJS.fullpageSlider = {
		init: function () {

			var slider = $('.vlt-fullpage-slider');

			if (!slider.length) {
				return;
			}

			if (typeof $.fn.pagepiling == 'undefined') {
				return;
			}

			var progress_bar = slider.find('.vlt-fullpage-slider-dots'),
				numbers = slider.find('.vlt-fullpage-slider-numbers'),
				loop_top = slider.data('loop-top') ? true : false,
				loop_bottom = slider.data('loop-bottom') ? true : false,
				speed = slider.data('speed') || 800,
				anchors = [];

			VLTJS.body.css('overflow', 'hidden');
			VLTJS.html.css('overflow', 'hidden');

			slider.find('[data-anchor]').each(function () {
				anchors.push($(this).data('anchor'));
			});

			function vlthemes_navbar_solid() {
				if (slider.find('.pp-section.active').scrollTop() > 0) {
					$('.vlt-navbar').addClass('vlt-navbar--solid');
				} else {
					$('.vlt-navbar').removeClass('vlt-navbar--solid');
				}
			}
			vlthemes_navbar_solid();

			function vlthemes_show_navigation() {
				progress_bar.find('a:first-child').addClass('active').end().addClass('is-show');
			}

			function vlthemes_page_brightness() {
				var section = slider.find('.vlt-section.active');
				switch (section.data('brightness')) {
					case 'light':
						VLTJS.html.removeClass('is-light-copyright- is-dark').addClass('is-light');
						break;
					case 'dark':
						VLTJS.html.removeClass('is-light-copyright is-light').addClass('is-dark');
						break;
					case 'light-copyright':
						VLTJS.html.removeClass('is-dark is-light').addClass('is-light-copyright');
						break;
				}
			}

			numbers.html(slider.find('.vlt-section.active').index() + 1);

			slider.pagepiling({
				menu: '.vlt-offcanvas-menu ul.sf-menu, .vlt-fullpage-slider-dots',
				scrollingSpeed: speed,
				loopTop: loop_top,
				loopBottom: loop_bottom,
				anchors: anchors,
				sectionSelector: '.vlt-section',
				navigation: false,
				afterRender: function () {
					vlthemes_show_navigation();
					vlthemes_page_brightness();
					numbers.html(slider.find('.vlt-section.active').index() + 1);
					VLTJS.window.trigger('vlt.change-slide');
				},
				onLeave: function (index, nextIndex, direction) {
					vlthemes_page_brightness();
					numbers.html(slider.find('.vlt-section.active').index() + 1);
					VLTJS.window.trigger('vlt.change-slide');
				},
				afterLoad: function (anchorLink, index) {
					vlthemes_navbar_solid();
				}
			});

			slider.find('.pp-scrollable').on('scroll', function () {
				var scrollTop = $(this).scrollTop();
				if (scrollTop > 0) {
					$('.vlt-navbar').addClass('vlt-navbar--solid');
				} else {
					$('.vlt-navbar').removeClass('vlt-navbar--solid');
				}
			});

		}

	};

	VLTJS.fullpageSlider.init();

})(jQuery);