/***********************************************
 * HAYLEY: OTHER SCRIPTS
 ***********************************************/
(function ($) {
	'use strict';

	// Page title offset
	if ($('.vlt-header').hasClass('vlt-header--opaque')) {
		$('.vlt-page-title, .vlt-post--style-single').css('margin-top', -$('.vlt-header--opaque').outerHeight());
	}

	// Widget menu
	if (typeof $.fn.superclick !== 'undefined') {
		$('.widget_pages > ul, .widget_nav_menu ul.menu').superclick({
			delay: 300,
			cssArrows: false,
			animation: {
				opacity: 'show',
				height: 'show'
			},
			animationOut: {
				opacity: 'hide',
				height: 'hide'
			},
		});
	}

	// Fast click
	if (typeof FastClick === 'function') {
		FastClick.attach(document.body);
	}

	// Masonry blog
	$('.masonry').vlt_masonry_grid();

	// Match Height
	$('.vlt-award-item').matchHeight();

	// Material input
	if ($('.vlt-form-group').length) {
		$('.vlt-form-group .vlt-form-control').each(function () {
			if ($(this).val().length > 0 || $(this).attr('placeholder') !== undefined) {
				$(this).closest('.vlt-form-group').addClass('active');
			}
		});
		$('.vlt-form-group .vlt-form-control').focus(function () {
			$(this).closest('.vlt-form-group').addClass('active');
		});
		$('.vlt-form-group .vlt-form-control').blur(function () {
			if ($(this).val() == '' && $(this).attr('placeholder') == undefined) {
				$(this).closest('.vlt-form-group').removeClass('active');
			}
		});
		$('.vlt-form-group .vlt-form-control').change(function () {
			if ($(this).val() == '' && $(this).attr('placeholder') == undefined) {
				$(this).closest('.vlt-form-group').removeClass('active');
			} else {
				$(this).closest('.vlt-form-group').addClass('active');
			}
		});
	}

})(jQuery);