/***********************************************
 * WIDGET: PROJECTS SHOWCASE
 ***********************************************/
(function ($) {

	'use strict';

	VLTJS.projectsShowcase = {
		init: function ($scope) {

			// check if plugin defined
			if (typeof Swiper == 'undefined') {
				return;
			}

			var el = $scope.find('.vlt-projects-showcase'),
				slider_container = el.find('.swiper-container');

			new Swiper(slider_container, {
				speed: 1000,
				effect: 'fade',
				slidesPerView: 1,
				navigation: {
					nextEl: el.find('.next'),
					prevEl: el.find('.prev'),
				},
			});

		}
	}

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-projects-showcase.default',
			function ($scope) {
				VLTJS.projectsShowcase.init($scope);
				VLTJS.debounceResize(function () {
					VLTJS.projectsShowcase.init($scope);
				});
			}
		);
	});

})(jQuery);