<?php

/**
 * @author: VLThemes
 * @version: 1.0
 */

if ( post_password_required() ) {
	return;
}

?>

<div id="comments"></div>

<?php if ( comments_open() || have_comments() ) : ?>

	<div class="vlt-comments-wrap">

		<?php if ( have_comments() ) : ?>

			<div class="vlt-comments">

				<h3 class="vlt-comments__title">
					<?php comments_number( esc_html__( 'No Comments', 'hayley-raymond' ) , esc_html__( 'One Comment', 'hayley-raymond' ) , esc_html__( '% Comments', 'hayley-raymond' ) ); ?>
				</h3>

				<ul class="vlt-comments__list">
					<?php
						wp_list_comments( array(
							'avatar_size' => 70,
							'style' => 'ul',
							'max_depth' => '3',
							'short_ping' => true,
							'reply_text' => esc_html__( 'Reply', 'hayley-raymond' ),
							'callback' => 'hayley_callback_custom_comment',
						) );
					?>
				</ul>

				<?php echo wp_kses_post( hayley_get_comment_navigation() ); ?>

			</div>
			<!-- /.vlt-comments -->

		<?php endif; ?>

		<?php if ( comments_open() ) : ?>

			<div class="vlt-comment-form">

				<?php
					$commenter = wp_get_current_commenter();
					$args = array(
						'title_reply' => esc_html__( 'Leave a Comment', 'hayley-raymond' ),
						'title_reply_before' => '<h3 class="vlt-comment-form__title">',
						'title_reply_after' => '</h3>',
						'cancel_reply_before' => '',
						'cancel_reply_after' => '',
						'comment_notes_before' => '',
						'comment_notes_after' => '',
						'title_reply_to' => esc_html__( 'Leave a Reply', 'hayley-raymond' ),
						'cancel_reply_link' => '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 64 64" fill="currentColor"><path d="M35.4 32l19.9-19.9c1-1 1-2.4 0-3.4s-2.4-1-3.4 0L32 28.6 12 8.8c-.9-1-2.4-1-3.3 0s-1 2.4 0 3.4L28.6 32 8.7 51.9c-1 1-1 2.4 0 3.4.5.4 1 .7 1.7.7s1.2-.2 1.7-.7l20-19.9 20 19.8c.5.4 1.2.7 1.7.7s1.2-.2 1.7-.7c1-1 1-2.4 0-3.4L35.4 32z"/></svg>',
						'submit_button' => '<button type="submit" id="%2$s" class="%3$s"><span class="vlt-btn__text">%4$s</span></button>',
						'class_submit' => 'vlt-btn vlt-btn--primary',
						'label_submit' => esc_html__( 'Post a Comment', 'hayley-raymond' ),
						'fields' => array(
							'cookies' => false,
							'author' => '<div class="vlt-form-row two-col"><div class="vlt-form-group"><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" class="vlt-form-control"><label for="author" class="vlt-form-label">' . esc_attr__( 'Your Name', 'hayley-raymond' ) . '</label></div>',
							'email' => '<div class="vlt-form-group"><input id="email" name="email" type="text" value="' . esc_attr( $commenter['comment_author_email'] ) . '" class="vlt-form-control"><label for="email" class="vlt-form-label">' . esc_attr__( 'Your Email', 'hayley-raymond' ) . '</label></div></div>',
							'url' => '<div class="vlt-form-group"><input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" class="vlt-form-control"><label for="url" class="vlt-form-label">' . esc_attr__( 'Website', 'hayley-raymond' ) . '</label></div>'
						),
					);
					$args['comment_field'] = '<div class="vlt-form-group"><textarea id="comment" name="comment" rows="3" class="vlt-form-control"></textarea><label for="comment" class="vlt-form-label">' . esc_attr__( 'Your Comment', 'hayley-raymond' ) . '</label></div>';
					comment_form( $args );
				?>

			</div>
			<!-- /.vlt-comment-form -->

		<?php endif; ?>

	</div>
	<!-- /.vlt-comments-wrap -->

<?php endif; ?>