<?php

/**
 * @author: VLThemes
 * @version: 1.0
 */

$priority = 0;

/**
 * Blog page
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sb_1',
	'section' => 'section_blog',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'hayley-raymond' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'blog_layout',
	'section' => 'section_blog',
	'label' => esc_html__( 'Blog Layout', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'hayley-raymond' ),
		'masonry-2' => esc_html__( 'Masonry 2 Columns', 'hayley-raymond' ),
		'masonry-3' => esc_html__( 'Masonry 3 Columns', 'hayley-raymond' ),
	),
	'default' => 'masonry-2',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'blog_type_pagination',
	'section' => 'section_blog',
	'label' => esc_html__( 'Type Pagination', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'hayley-raymond' ),
		'paged' => esc_html__( 'Paged', 'hayley-raymond' ),
		'numeric' => esc_html__( 'Numeric', 'hayley-raymond' ),
	),
	'default' => 'numeric',
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sb_2',
	'section' => 'section_blog',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Page Title', 'hayley-raymond' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'text',
	'settings' => 'blog_title',
	'section' => 'section_blog',
	'label' => esc_html__( 'Blog Title', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => esc_html__( 'Recent News', 'hayley-raymond' ),
) );

/**
 * Archive page
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sa_1',
	'section' => 'section_archive',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'hayley-raymond' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'archive_layout',
	'section' => 'section_archive',
	'label' => esc_html__( 'Archive Layout', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'hayley-raymond' ),
		'masonry-2' => esc_html__( 'Masonry 2 Columns', 'hayley-raymond' ),
		'masonry-3' => esc_html__( 'Masonry 3 Columns', 'hayley-raymond' ),
	),
	'default' => 'masonry-2',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'archive_type_pagination',
	'section' => 'section_archive',
	'label' => esc_html__( 'Type Pagination', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'hayley-raymond' ),
		'paged' => esc_html__( 'Paged', 'hayley-raymond' ),
		'numeric' => esc_html__( 'Numeric', 'hayley-raymond' ),
	),
	'default' => 'paged',
) );

/**
 * Search page
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'ss_1',
	'section' => 'section_search',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'hayley-raymond' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'search_layout',
	'section' => 'section_search',
	'label' => esc_html__( 'Search Layout', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'hayley-raymond' ),
		'masonry-2' => esc_html__( 'Masonry 2 Columns', 'hayley-raymond' ),
		'masonry-3' => esc_html__( 'Masonry 3 Columns', 'hayley-raymond' ),
	),
	'default' => 'masonry-2',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'search_type_pagination',
	'section' => 'section_search',
	'label' => esc_html__( 'Type Pagination', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'hayley-raymond' ),
		'paged' => esc_html__( 'Paged', 'hayley-raymond' ),
		'numeric' => esc_html__( 'Numeric', 'hayley-raymond' ),
	),
	'default' => 'paged',
) );

/**
 * Portfolio page
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sp_1',
	'section' => 'section_portfolio',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'hayley-raymond' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'portfolio_layout',
	'section' => 'section_portfolio',
	'label' => esc_html__( 'Portfolio Layout', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'masonry-2' => esc_html__( 'Masonry 2 Columns', 'hayley-raymond' ),
		'masonry-3' => esc_html__( 'Masonry 3 Columns', 'hayley-raymond' ),
		'masonry-4' => esc_html__( 'Masonry 4 Columns', 'hayley-raymond' )
	),
	'default' => 'masonry-3',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'portfolio_type_pagination',
	'section' => 'section_portfolio',
	'label' => esc_html__( 'Type Pagination', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'hayley-raymond' ),
		'paged' => esc_html__( 'Paged', 'hayley-raymond' ),
		'numeric' => esc_html__( 'Numeric', 'hayley-raymond' ),
	),
	'default' => 'numeric',
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sp_2',
	'section' => 'section_portfolio',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Page Title', 'hayley-raymond' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'text',
	'settings' => 'portfolio_title',
	'section' => 'section_portfolio',
	'label' => esc_html__( 'Portfolio Title', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => esc_html__( 'Portfolio', 'hayley-raymond' ),
) );

/**
 * Single post
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'ssp_1',
	'section' => 'section_single_post',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'hayley-raymond' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'comment_placement',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Comment Placement', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'top' => esc_html__( 'Top', 'hayley-raymond' ),
		'bottom' => esc_html__( 'Bottom', 'hayley-raymond' )
	),
	'default' => 'bottom',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'show_share_post',
	'section' => 'section_single_post',
	'label' => esc_html__( 'Post Share', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'hayley-raymond' ),
		'hide' => esc_html__( 'Hide', 'hayley-raymond' )
	),
	'default' => 'hide',
) );

/**
 * Page 404
 */
VLT_Options::add_field( array(
	'type' => 'text',
	'settings' => 'error_title',
	'section' => 'section_404',
	'label' => esc_html__( 'Error Title', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => esc_html__( 'Page not found', 'hayley-raymond' ),
) );

VLT_Options::add_field( array(
	'type' => 'textarea',
	'settings' => 'error_subtitle',
	'section' => 'section_404',
	'label' => esc_html__( 'Error Subtitle', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => esc_html__( 'We are sorry. But the page you are looking for cannot be found.', 'hayley-raymond' ),
) );