<?php

/**
 * @author: VLThemes
 * @version: 1.0
 */

$priority = 0;

/**
 * General fonts
 */
VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'primary_font',
	'section' => 'typography_fonts',
	'label' => esc_html__( 'Primary Font', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'DM Sans',
	),
	'output' => array(
		array(
			'choice' => 'font-family',
			'element' => ':root',
			'property' => '--pf',
			'context' => array( 'editor', 'front' ),
		)
	)
) );

VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'secondary_font',
	'section' => 'typography_fonts',
	'label' => esc_html__( 'Secondary Font', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'MonumentExtended',
	),
	'output' => array(
		array(
			'choice' => 'font-family',
			'element' => ':root',
			'property' => '--sf',
			'context' => array( 'editor', 'front' ),
		)
	)
) );

/**
 * Body typography
 */
VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'base_typography',
	'section' => 'typography_text',
	'label' => esc_html__( 'Base Typography', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'DM Sans',
		'variant' => 'regular',
		'font-size' => '1.125rem',
		'line-height' => '1.5',
		'color' => '#555555',
		'letter-spacing' => '0',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'body'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper',
			'context' => array( 'editor' ),
		),
	)
) );

/**
 * Heading typography
 */
VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h1_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H1 Titles', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'DM Sans',
		'variant' => '700',
		'font-size' => '3.625rem',
		'line-height' => '1.15',
		'color' => '#000000',
		'letter-spacing' => '-.035em',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'h1, .h1'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h1, .edit-post-visual-editor.editor-styles-wrapper .editor-post-title__input',
			'context' => array( 'editor' ),
		),
	)
) );

VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h2_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H2 Titles', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'DM Sans',
		'variant' => '700',
		'font-size' => '3rem',
		'line-height' => '1.4',
		'color' => '#000000',
		'letter-spacing' => '-.035em',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'h2, .h2'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h2',
			'context' => array( 'editor' ),
		),
	)
) );

VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h3_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H3 Titles', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'DM Sans',
		'variant' => '700',
		'font-size' => '2.375rem',
		'line-height' => '1.4',
		'color' => '#000000',
		'letter-spacing' => '-.035em',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'h3, .h3'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h3',
			'context' => array( 'editor' ),
		),
	)
) );

VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h4_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H4 Titles', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'DM Sans',
		'variant' => '700',
		'font-size' => '2rem',
		'line-height' => '1.4',
		'color' => '#000000',
		'letter-spacing' => '-.035em',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'h4, .h4'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h4',
			'context' => array( 'editor' ),
		),
	)
) );

VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h5_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H5 Titles', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'DM Sans',
		'variant' => '700',
		'font-size' => '1.5rem',
		'line-height' => '1.4',
		'color' => '#000000',
		'letter-spacing' => '-.035em',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'h5, .h5'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h5',
			'context' => array( 'editor' ),
		),
	)
) );

VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_h6_titles',
	'section' => 'typography_headings',
	'label' => esc_html__( 'H6 Titles', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'DM Sans',
		'variant' => '700',
		'font-size' => '1.375rem',
		'line-height' => '1.55',
		'color' => '#000000',
		'letter-spacing' => '-.035em',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'h6, .h6'
		),
		array(
			'element' => '.edit-post-visual-editor.editor-styles-wrapper h6',
			'context' => array( 'editor' ),
		),
	)
) );

/**
 * Blockquote typography
 */
VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'blockquote_typography',
	'section' => 'typography_blockquote',
	'label' => esc_html__( 'Blockquote', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'DM Sans',
		'variant' => '700',
		'font-size' => '1.875rem',
		'line-height' => '1.35',
		'letter-spacing' => '-.035em',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'blockquote'
		),
		array(
			'element' => '.wp-block-quote, .wp-block-pullquote',
			'context' => array( 'editor' ),
		),
	)
) );

/**
 * Button typography
 */
VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_button',
	'section' => 'typography_buttons',
	'label' => esc_html__( 'Button Typography', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'DM Sans',
		'variant' => '700',
		'font-size' => '1.125rem',
		'line-height' => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'uppercase'
	),
	'output' => array(
		array(
			'element' => '.vlt-btn'
		)
	)
) );

/**
 * Input typography
 */
VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_input',
	'section' => 'typography_input',
	'label' => esc_html__( 'Input Typography', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'DM Sans',
		'variant' => 'regular',
		'font-size' => '1.125rem',
		'line-height' => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => '
				input[type="text"],
				input[type="date"],
				input[type="email"],
				input[type="password"],
				input[type="tel"],
				input[type="url"],
				input[type="search"],
				input[type="number"],
				textarea,
				select
			'
		)
	)
) );

VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_label',
	'section' => 'typography_input',
	'label' => esc_html__( 'Label Typography', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'DM Sans',
		'variant' => 'regular',
		'font-size' => '1.125rem',
		'line-height' => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => 'label'
		)
	)
) );

/**
 * Widget title typography
 */
VLT_Options::add_field( array(
	'type' => 'typography',
	'settings' => 'typography_widget_title',
	'section' => 'typography_widget',
	'label' => esc_html__( 'Widget Title Typography', 'hayley-raymond' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => hayley_add_custom_choice(),
	'default' => array(
		'font-family' => 'DM Sans',
		'variant' => '700',
		'font-size' => '1.375rem',
		'line-height' => '1.5',
		'letter-spacing' => '0',
		'text-transform' => 'none'
	),
	'output' => array(
		array(
			'element' => '.vlt-widget__title'
		)
	)
) );