<?php

/**
 * @author: VLThemes
 * @version: 1.0
 */

/**
 * Register sidebars
 */
if ( ! function_exists( 'hayley_register_sidebar' ) ) {
	function hayley_register_sidebar() {
		register_sidebar( array(
			'name' => esc_html__( 'Blog Sidebar', 'hayley-raymond' ),
			'id' => 'blog_sidebar',
			'description' => esc_html__( 'Blog Widget Area', 'hayley-raymond' ),
			'before_widget' => '<div id="%1$s" class="vlt-widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h5 class="vlt-widget__title">',
			'after_title' => '</h5>'
		) );
	}
}
add_action( 'widgets_init', 'hayley_register_sidebar' );

/**
 * Change admin logo
 */
if ( ! function_exists( 'hayley_change_admin_logo' ) ) {
	function hayley_change_admin_logo() {
		if ( ! hayley_get_theme_mod( 'login_logo_image' ) ) {
			return;
		}
		$image_url = hayley_get_theme_mod( 'login_logo_image' );
		$image_w = hayley_get_theme_mod( 'login_logo_image_width' );
		$image_h = hayley_get_theme_mod( 'login_logo_image_height' );
		echo '<style type="text/css">
			h1 a {
				background: transparent url(' . esc_url( $image_url ) . ') 50% 50% no-repeat !important;
				width:' . esc_attr( $image_w ) . '!important;
				height:' . esc_attr( $image_h ) . '!important;
				background-size: cover !important;
			}
		</style>';
	}
}
add_action( 'login_head', 'hayley_change_admin_logo' );

/**
 * Prints Tracking code
 */
if ( ! function_exists( 'hayley_print_tracking_code' ) ) {
	function hayley_print_tracking_code() {
		$tracking_code = hayley_get_theme_mod( 'tracking_code' );
		if ( ! empty( $tracking_code ) ) {
			echo '' . $tracking_code;
		}
	}
}
add_action( 'wp_head', 'hayley_print_tracking_code' );

/**
 * Add preloader
 */
if ( ! function_exists( 'hayley_add_preloader' ) ) {
	function hayley_add_preloader() {
		if ( hayley_get_theme_mod( 'preloader' ) == 'show' ) {
			echo '<div class="vlt-preloader"><div class="three-bounce"><div class="bounce-one"></div><div class="bounce-two"></div><div class="bounce-three"></div></div></div>';
		}
	}
}
add_action( 'wp_body_open', 'hayley_add_preloader' );