<?php

/**
 * @author: VLThemes
 * @version: 1.0
 */

/**
 * Required plugins
 */
if ( ! function_exists( 'hayley_tgm_plugins' ) ) {
	function hayley_tgm_plugins() {

		$source = 'http://paul-themes.com/wordpress/hayley/plugins/';

		$plugins = array(
			array(
				'name' => esc_html__( 'Kirki', 'hayley-raymond' ),
				'slug' => 'kirki',
				'required' => true,
			),
			array(
				'name' => esc_html__( 'Hayley Helper Plugin', 'hayley-raymond' ),
				'slug' => 'hayley_helper_plugin',
				'source' => esc_url( $source . 'hayley_helper_plugin.zip' ),
				'required' => true,
			),
			array(
				'name' => esc_html__( 'Advanced Custom Fields PRO', 'hayley-raymond' ),
				'slug' => 'advanced-custom-fields-pro',
				'source' => esc_url( $source . 'advanced-custom-fields-pro.zip' ),
				'required' => true,
			),
			array(
				'name' => esc_html__( 'Elementor Page Builder', 'hayley-raymond' ),
				'slug' => 'elementor',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Contact Form 7', 'hayley-raymond' ),
				'slug' => 'contact-form-7',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'GTranslate', 'hayley-raymond' ),
				'slug' => 'gtranslate',
				'required' => false,
			),
			array(
				'name' => esc_html__( 'Regenerate Thumbnails', 'hayley-raymond' ),
				'slug' => 'regenerate-thumbnails',
				'required' => false,
			)
		);
		tgmpa( $plugins );
	}
}
add_action( 'tgmpa_register', 'hayley_tgm_plugins' );

/**
 * Print notice if helper plugin is not installed
 */
if ( ! function_exists( 'hayley_helper_plugin_notice' ) ) {
	function hayley_helper_plugin_notice() {
		if ( class_exists( 'VLThemesHelperPlugin' ) ) {
			return;
		}
		echo '<div class="notice notice-info is-dismissible"><p>' . sprintf( __( 'Please activate <strong>%s</strong> before your work with this theme.', 'hayley-raymond' ), 'Hayley Helper Plugin' ) . '</p></div>';
	}
}
add_action( 'admin_notices', 'hayley_helper_plugin_notice' );