<?php

/**
 * @author: VLThemes
 * @version: 1.0
 */

$pagination = hayley_get_theme_mod( 'portfolio_type_pagination' );
$posts_layout = hayley_get_theme_mod( 'portfolio_layout' );

$post_list_class = 'vlt-portfolio-posts';

?>

<div class="container">

	<div class="vlt-portfolio-filters">

		<a href="#" data-filter="*" class="active"><?php esc_html_e( 'Everything', 'hayley-raymond' ); ?></a>

		<?php

			$terms = get_terms( 'portfolio_category' );
			$count = count( $terms );

			if ( $count > 0 ) {

				foreach ( $terms as $term ) { ?>

					<a href="#" data-filter=".filter-<?php echo esc_attr( $term->slug ); ?>"><?php echo esc_html( $term->name ); ?></a>

				<?php }

			}

		?>

	</div>
	<!-- /.vlt-portfolio-filters -->

	<div class="<?php echo hayley_sanitize_class( $post_list_class ); ?>">

		<?php

			if ( have_posts() ) :

				get_template_part( 'template-parts/loop/loop-portfolio', $posts_layout );

				echo hayley_get_page_pagination( null, $pagination );

			else:

				get_template_part( 'template-parts/loop/content-page', 'empty' );

			endif;

			wp_reset_postdata();

		?>

	</div>

</div>