<?php

/**
 * @author: VLThemes
 * @version: 1.0
 */

$acf_footer = hayley_get_theme_mod( 'page_custom_footer', true );

if ( hayley_get_theme_mod( 'footer_show', $acf_footer ) == 'hide' ) {
	return;
}

$footer_class = 'vlt-footer';

if ( hayley_get_theme_mod( 'footer_fixed', $acf_footer ) == 'enable' ) {
	$footer_class .= ' vlt-footer--fixed';
}

if ( is_404() ) {
	$footer_class .= ' vlt-footer--fixed';
}

?>

<footer class="<?php echo hayley_sanitize_class( $footer_class ); ?>">

	<?php if ( hayley_get_theme_mod( 'footer_socials_list' ) ) : ?>

		<div class="vlt-footer-socials">

			<?php
				foreach ( hayley_get_theme_mod( 'footer_socials_list' ) as $socialItem ) :
					echo '<a class="vlt-social-icon" href="' . esc_url( $socialItem[ 'social_url' ] ) . '" target="_blank"><i class="' . hayley_sanitize_class( $socialItem[ 'social_icon' ] ) . '"></i></a>';
				endforeach;
			?>

		</div>
		<!-- /.vlt-footer-socials -->

	<?php else: ?>

		<span></span>

	<?php endif; ?>

	<?php if ( hayley_get_theme_mod( 'footer_copyright' ) ) : ?>

		<div class="vlt-footer-copyright"><?php echo wp_kses_post( hayley_get_theme_mod( 'footer_copyright' ) ); ?></div>
		<!-- /.vlt-footer-copyright -->

	<?php endif; ?>

</footer>
<!-- /.vlt-footer -->