<?php

/**
 * @author: VLThemes
 * @version: 1.0
 */

$acf_navbar = hayley_get_theme_mod( 'page_custom_navigation', true );

if ( hayley_get_theme_mod( 'navigation_show', $acf_navbar ) == 'hide' ) {
	return;
}

$header_class = 'vlt-header';
$navbar_class = 'vlt-navbar vlt-navbar--main';

if ( hayley_get_theme_mod( 'navigation_opaque', $acf_navbar ) == 'enable' ) {
	$header_class .= ' vlt-header--opaque';
}

if ( hayley_get_theme_mod( 'navigation_transparent', $acf_navbar ) == 'enable' ) {
	$navbar_class .= ' vlt-navbar--transparent';
}

if ( hayley_get_theme_mod( 'navigation_transparent_always', $acf_navbar ) == 'enable' ) {
	$navbar_class .= ' vlt-navbar--transparent-always';
}

if ( hayley_get_theme_mod( 'navigation_sticky', $acf_navbar ) == 'enable' ) {
	$navbar_class .= ' vlt-navbar--sticky';
}

?>

<header class="<?php echo hayley_sanitize_class( $header_class ); ?>">

	<div class="<?php echo hayley_sanitize_class( $navbar_class ); ?>">

		<div class="vlt-navbar-background"></div>

		<div class="vlt-navbar-inner">

			<div class="vlt-navbar-inner--left">

				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="vlt-navbar-logo">
					<?php if ( hayley_get_theme_mod( 'navigation_logo' ) ) : ?>
						<img src="<?php echo esc_url( hayley_get_theme_mod( 'navigation_logo' ) ); ?>" alt="<?php bloginfo( 'name' ); ?>" class="black">
						<img src="<?php echo esc_url( hayley_get_theme_mod( 'navigation_logo_white' ) ); ?>" alt="<?php bloginfo( 'name' ); ?>" class="white">
					<?php else: ?>
						<h2><?php bloginfo( 'name' ); ?></h2>
					<?php endif; ?>
				</a>
				<!-- .vlt-navbar-logo -->

			</div>

			<div class="vlt-navbar-inner--right">

				<a class="vlt-menu-burger js-offcanvas-menu-open" href="#">
					<span class="line line-one"></span>
					<span class="line line-two"></span>
				</a>

			</div>

		</div>

		<div class="vlt-navbar-outer d-none d-lg-flex">

			<div class="row align-items-center">

				<div class="col-md-3">

					<?php if ( get_bloginfo ( 'description' ) ) : ?>

						<span class="vlt-navbar-tagline">
							<?php echo get_bloginfo ( 'description' ); ?>
						</span>

					<?php endif; ?>

				</div>

				<div class="col-md-9">

					<nav class="vlt-navbar-contacts">

						<?php
							if ( has_nav_menu( 'navbar-menu' ) ) {

								wp_nav_menu( array(
									'theme_location' => 'navbar-menu',
									'container' => false,
									'depth' => 1,
								) );

							}
						?>

					</nav>
					<!-- /.vlt-navbar-contacts -->

				</div>

			</div>

		</div>

	</div>

</header>
<!-- .vlt-header -->

<?php get_template_part( 'template-parts/header/menu/menu', 'offcanvas' ); ?>