<?php

/**
 * @author: VLThemes
 * @version: 1.0
 */

?>

<div class="vlt-offcanvas-menu">

	<div class="vlt-offcanvas-menu__header">

		<?php if ( hayley_get_theme_mod( 'offcanvas_menu_locales' ) == 'show' ) : ?>

			<nav class="vlt-offcanvas-menu__locales">
				<?php
					if ( class_exists( 'GTranslate' ) ) {
						echo do_shortcode( '[gtranslate]' );
					}
				?>
			</nav>
			<!-- /.vlt-offcanvas-menu__locales -->

		<?php else: ?>

			<span></span>

		<?php endif; ?>

		<a class="vlt-menu-burger js-offcanvas-menu-close" href="#">
			<span class="line line-one"></span>
			<span class="line line-two"></span>
		</a>
		<!-- /.vlt-menu-burger -->

	</div>
	<!-- /.vlt-offcanvas-menu__header -->

	<nav class="vlt-offcanvas-menu__navigation">

		<?php

			$acf_onepage_navigation = hayley_get_theme_mod( 'onepage_navigation', true );

			if ( $acf_onepage_navigation ) {

				wp_nav_menu( array(
					'theme_location' => 'onepage-menu',
					'container' => false,
					'depth' => 1,
					'menu_class' => 'sf-menu sf-menu-onepage',
					'fallback_cb' => 'hayley_fallback_menu',
					'walker' => new Hayley_Custom_Walker_Nav_Menu()
				) );

			} else {

				wp_nav_menu( array(
					'theme_location' => 'primary-menu',
					'container' => false,
					'depth' => 3,
					'menu_class' => 'sf-menu',
					'fallback_cb' => 'hayley_fallback_menu',
				) );

			}

		?>

	</nav>
	<!-- /.vlt-offcanvas-menu__navigation -->

	<div class="vlt-offcanvas-menu__footer">



		<?php if ( hayley_get_theme_mod( 'offcanvas_menu_socials_list' ) ) : ?>

			<div class="vlt-offcanvas-menu__socials">

				<?php
					foreach ( hayley_get_theme_mod( 'offcanvas_menu_socials_list' ) as $socialItem ) :
						echo '<a class="vlt-social-icon" href="' . esc_url( $socialItem[ 'social_url' ] ) . '" target="_blank"><i class="' . hayley_sanitize_class( $socialItem[ 'social_icon' ] ) . '"></i></a>';
					endforeach;
				?>

			</div>
			<!-- /.vlt-offcanvas-menu__socials -->

		<?php endif; ?>

		<?php if ( hayley_get_theme_mod( 'offcanvas_menu_copyright' ) ) : ?>

			<div class="vlt-offcanvas-menu__copyright"><?php echo wp_kses_post( hayley_get_theme_mod( 'offcanvas_menu_copyright' ) ); ?></div>
			<!-- /.vlt-offcanvas-menu__copyright -->

		<?php endif; ?>

	</div>
	<!-- /.vlt-offcanvas-menu__footer -->

</div>
<!-- /.vlt-offcanvas-menu -->

<div class="vlt-site-overlay"></div>
<!-- /.vlt-site-overlay -->